Page MenuHomePhabricator

itwiki full text search: Unknown namespace ID: 108
Closed, ResolvedPublic

Description

Seeing this error a lot for namespace 108 and 110:

	Unknown namespace ID: 110

Apparently this breaks full text search but only for itwiki.

https://it.wikipedia.org/w/index.php?search=partecip%C3%B2&title=Speciale%3ARicerca&go=Vai

result:

Exception encountered, of type "InvalidArgumentException"`

Event Timeline

mmodell created this task.May 26 2016, 8:07 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 26 2016, 8:07 PM
mmodell updated the task description. (Show Details)May 26 2016, 8:11 PM
mmodell triaged this task as Unbreak Now! priority.
Restricted Application added subscribers: Luke081515, TerraCodes, Urbanecm. · View Herald TranscriptMay 26 2016, 8:12 PM
mmodell lowered the priority of this task from Unbreak Now! to High.EditedMay 26 2016, 8:25 PM
mmodell added a subscriber: dcausse.
Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptMay 26 2016, 8:29 PM

Change 291040 had a related patch set uploaded (by Legoktm):
TitleParser: In formatTitle(), don't throw exceptions on bad namespaces

https://gerrit.wikimedia.org/r/291040

Mentioned in SAL [2016-05-26T20:38:05Z] <twentyafterfour@tin> Synchronized php-1.28.0-wmf.3/includes/specials/SpecialSearch.php: deploy hotfix for itwiki search T136356 (duration: 00m 23s)

itwiki search is working again after deploying rMW49360d0eae.

That hotfix is not on master so we need to find a better solution before next Thursday.

Change 291099 had a related patch set uploaded (by Legoktm):
TitleParser: In formatTitle(), don't throw exceptions on bad namespaces

https://gerrit.wikimedia.org/r/291099

Change 291040 merged by jenkins-bot:
TitleParser: In formatTitle(), don't throw exceptions on bad namespaces

https://gerrit.wikimedia.org/r/291040

Change 291099 merged by Legoktm:
TitleParser: In formatTitle(), don't throw exceptions on bad namespaces

https://gerrit.wikimedia.org/r/291099

Mentioned in SAL [2016-05-26T21:43:48Z] <legoktm@tin> Synchronized php-1.28.0-wmf.3/includes/title/MediaWikiTitleCodec.php: TitleParser: In formatTitle(), don't throw exceptions on bad namespaces - T136352, T136356 (duration: 00m 28s)

The same thing causes issues for us was also causing issues elsewhere. https://gerrit.wikimedia.org/r/291099 has been deployed to band aid other things, so we can probably undo (or just not pull into master) our fix above.

This doesn't solve the unknown namespace ID problem, it just hides it.

The immediate problem is fixed. The more general problem will be fixed later when we being to work on cross-project indices.

Deskana lowered the priority of this task from High to Low.May 26 2016, 10:10 PM
Deskana moved this task from needs triage to later on... on the Discovery-Search board.

Thanks everyone for fixing the immediate problem and unblocking the deployment.

This is no longer a blocker for wmf.4 since rMWa22ab0eab02c: TitleParser: In formatTitle(), don't throw exceptions on bad namespaces made it into master.

debt closed this task as Resolved.Oct 26 2017, 5:26 PM
debt claimed this task.
debt added a subscriber: debt.

This doesn't seem to be an issue anymore, as it's hidden and not causing issues that we know of.